# GeoMoose 3 How-Tos

These are intended to be quick helpers for enhancing a GeoMoose application.

* [How-to add a layer](./add-a-layer.md)

    * [How-to add identify to a layer](./add-identify.md)
    * [How-to add a layer search](./add-search.md)
        * [How-to configure a search to require field completion](./configure-search-fieldrequired.md)
        * [How-to configure "or" search types](./configure-search-or-fields.md)
    * [How-to add a layer to select](./add-select.md)
        * [How-to modify select options](./configure-select-options.md)
        * [How-to select from list of layers](./configure-select-list.md)

* [How-to add a GeoJSON layer](./add-geojson.md)
* [How-to use GeoJSON/WFS](./geojson-wfs.md)
* [How-to add Bing layers](./bing-layers.md)
* [How-to configure Jump-to-Extent](./configure-jump-to.md)
* [How-to configure the Measure tool](./configure-measure-tool.md)
* [How-to customize the Coordinate Display](./coordinate-display.md)
* [How-to customize tabs](./customize-tabs.md)
* [How-to add a disclaimer](./disclaimer.md)
* [How-to create a custom print layout](./print-layouts.md)
* [How-to start a service (incl. at startup)](./start-a-service.md)
* [How-to style the toolbar](./style-the-toolbar.md)
* [How-to style the header](./style-the-header.md)
* [How-to display a raster layer and query as a vector layer](./query-as-vector.md)
* [How-to add Attribution](./add-attribution.md)
* [How-to change the default buffer units]('./change-buffer-units.md')
* [How-to add a language](./add-a-language.md)
* [How-to add a plugin](./add-a-plugin.md)
